ocaml-optcomp-1.4-5.mga4.i586.rpm


Advertisement

Description

ocaml-optcomp - Optional compilation with cpp-like directives for OCaml

Property Value
Distribution Mageia 4.1
Repository Mageia Core i586
Package name ocaml-optcomp
Package version 1.4
Package release 5.mga4
Package architecture i586
Package type rpm
Installed size 7.10 MB
Download size 1.07 MB
Official Mirror distrib-coffee.ipsl.jussieu.fr
Optcomp is a syntax extension which handles \#if, \#else, ... directives in
ocaml source files.

Alternatives

Package Version Architecture Repository
ocaml-optcomp-1.4-5.mga4.x86_64.rpm 1.4 x86_64 Mageia Core
ocaml-optcomp - - -

Requires

Name Value
camlp4 -
libc.so.6 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.2) -
libc.so.6(GLIBC_2.3) -
libc.so.6(GLIBC_2.7) -
libdl.so.2 -
libdl.so.2(GLIBC_2.0) -
libdl.so.2(GLIBC_2.1) -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libm.so.6(GLIBC_2.1) -

Provides

Name Value
ocaml-optcomp == 1.4-5.mga4
ocaml-optcomp(x86-32) == 1.4-5.mga4

Download

Type URL
Binary Package ocaml-optcomp-1.4-5.mga4.i586.rpm
Source Package ocaml-optcomp-1.4-5.mga4.src.rpm

Install Howto

  1. Enable Mageia Core repository on "Install and Remove Software"
  2. Update packages list:
    # urpmi.update -a
  3. Install ocaml-optcomp rpm package:
    # urpmi ocaml-optcomp

Files

Path
/usr/bin/optcomp-o
/usr/bin/optcomp-r
/usr/lib/ocaml/optcomp/META
/usr/lib/ocaml/optcomp/optcomp.cma
/usr/lib/ocaml/optcomp/optcomp.cmxs
/usr/lib/ocaml/optcomp/pa_optcomp.cmi
/usr/share/doc/ocaml-optcomp/CHANGES
/usr/share/doc/ocaml-optcomp/README

Changelog

2013-10-19 - umeabot <umeabot> 1.4-5.mga4
+ Revision: 533928
- Mageia 4 Mass Rebuild
2013-09-08 - blue_prawn <blue_prawn> 1.4-4.mga4
+ Revision: 475807
- rebuild for ocaml-4.01.0
2013-01-13 - umeabot <umeabot> 1.4-3.mga3
+ Revision: 361542
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
2013-01-04 - malo <malo> 1.4-2.mga3
+ Revision: 338472
- add missing Requires for camlp4
2013-01-04 - malo <malo> 1.4-1.mga3
+ Revision: 338461
- add missing BuildRequires camlp4-devel
- imported package ocaml-optcomp

See Also

Package Description
ocaml-optcomp-devel-1.4-5.mga4.i586.rpm Development files for ocaml-optcomp
ocaml-otfm-0.1.0-2.mga4.i586.rpm OpenType font decoder for OCaml
ocaml-otfm-devel-0.1.0-2.mga4.i586.rpm Development files for ocaml-otfm
ocaml-ounit-2.0.0-2.mga4.i586.rpm Unit test framework for OCaml
ocaml-ounit-devel-2.0.0-2.mga4.i586.rpm Development files for ocaml-ounit
ocaml-pa_ounit-109.34.00-2.mga4.i586.rpm OCaml Syntax extension for OUnit tests
ocaml-pa_ounit-devel-109.34.00-2.mga4.i586.rpm Development files for ocaml-pa_ounit
ocaml-pareto-0.2-2.mga4.i586.rpm OCaml statistics library
ocaml-pareto-devel-0.2-2.mga4.i586.rpm Development files for ocaml-pareto
ocaml-pcre-7.0.2-9.mga4.i586.rpm Perl compatibility regular expressions for OCaml
ocaml-pcre-devel-7.0.2-9.mga4.i586.rpm Development files for ocaml-pcre
ocaml-pgocaml-1.7.1-4.mga4.i586.rpm OCaml library for type-safe access to PostgreSQL databases
ocaml-pgocaml-devel-1.7.1-4.mga4.i586.rpm Development files for ocaml-pgocaml
ocaml-pgocaml-introduction-0.94-3.mga4.noarch.rpm A Brief Introduction to PG'OCaml
ocaml-pipebang-109.28.00-2.mga4.i586.rpm OCaml Pipe Bang Syntax extension
Advertisement
Advertisement